## bibus 1.5.1

=== debian/changelog ===
bibus (1.5.1-5) unstable; urgency=low

  * debian/control:
    - Mention LibreOffice also here as an alternative to OpenOffice.org

 -- Jan Beyer <jan@beathovn.de>  Fri, 30 Sep 2011 22:39:36 +0200

bibus (1.5.1-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format (debian/compat + control)
  * Bumped Standards-Version to 3.9.2 (no changes needed)
  * Switched to dh_python2 (Closes: #616745)
  * debian/control:
    - Added libreoffice-writer to Recommends (Closes: #637638)
  * Adapting bibus.1 and bibus.cfg to LibreOffice
  * Moved bibus-doc-en from Recommends to Suggests, as it is outdated
  * debian/rules:
    - Added recommended build-arch and build-indep targets

 -- Jan Beyer <jan@beathovn.de>  Fri, 30 Sep 2011 21:39:32 +0200

bibus (1.5.1-3) unstable; urgency=low

  * Added patch do-not-import-SearcheTBlast-py.patch to finally avoid any calls
    to ClientForm.py (thanks to Jonathan Schultz for noticing and reporting the
    problem)

 -- Jan Beyer <jan@beathovn.de>  Sat, 12 Dec 2009 22:53:48 +0100

bibus (1.5.1-2) unstable; urgency=low

  * Remove mentioning of eTBlast access from long description

 -- Jan Beyer <jan@beathovn.de>  Sat, 28 Nov 2009 21:55:04 +0100

bibus (1.5.1-1) unstable; urgency=low

  [ Jan Beyer ]
  * New upstream release
    - disables eTBlast search, as it stopped working due to an eTBlast-website
      restructuring
  * Removed ClientForm.py as it is not needed any longer (Closes: #555332)
  * Installing patched man-page, where mention of eTBlast search capability is
    removed
  * Added lintian override for the script-not-executable warning on the
    examples in /usr/share/bibus/LyX/examples

  [ Charles Plessy ]
  * Depend on python-wxgtk2.8 only as Bibus does not accept 2.6 anymore

 -- Jan Beyer <jan@beathovn.de>  Sat, 28 Nov 2009 21:40:50 +0100

bibus (1.5.0-1) unstable; urgency=low

  * New upstream release
    - patch fix-BibTeXImport.patch dropped, as it is incorporated upstream
    - patch fix-finalizing-issue.patch dropped, as it is incorporated upstream
    - man-page debian/bibus.1 dropped, as it is incorporated upstream

 -- Jan Beyer <jan@beathovn.de>  Mon, 12 Oct 2009 22:44:05 +0200

bibus (1.4.3.2-5) unstable; urgency=low

  * Installing our own, updated, manpage again, which got lost in the previous
    upload.

 -- Jan Beyer <jan@beathovn.de>  Thu, 10 Sep 2009 22:06:41 +0200

bibus (1.4.3.2-4) unstable; urgency=low

  * debian/rules:
    - removed dh_desktop call, as it's deprecated
  * Bumped standards version to 3.8.3 (no changes needed)
  * Added two patches from upstream:
    - fix-BibTeXImport.patch to improve BibTeX import
    - fix-finalizing-issue.patch to make finalizing work with OOo 3.1

 -- Jan Beyer <jan@beathovn.de>  Thu, 10 Sep 2009 21:27:13 +0200

bibus (1.4.3.2-3) unstable; urgency=low

  [ Jan Beyer ]
  * debian/control:
    - bibus recommends no longer openoffice.org, but only openoffice.org-writer
      (LP: #382448).
    - bibus-doc-en now depends on w3m instead of lynx, which has a lower
      priority.

  [ Charles Plessy ]
  * debian/control:
    - Allow Jan to upload bibus (DM-Upload-Allowed: yes)
  * Simplified debian/copyright according to the latest format draft.

 -- Charles Plessy <plessy@debian.org>  Sun, 07 Jun 2009 00:28:22 +0900

bibus (1.4.3.2-2) unstable; urgency=low

  [ Jan Beyer ]
  * Install also screenshots for documentation.
  * Fix <img ...> tags in the documentation to no longer distort images.
  * New standards version 3.8.1 needed addition of README.source.
  * Changes in debian/control to follow new Python packaging policy:
    - versioned build-dependencies for debhelper and python-central
    - added current keyword to XS-Python-Version
  * Removed debian/bibus.postinst, as its content was unnecessary.

  [ Charles Plessy ]
  * Corrected the Subversion URL in debian/control.

 -- Charles Plessy <plessy@debian.org>  Mon, 30 Mar 2009 10:40:05 +0900

bibus (1.4.3.2-1) unstable; urgency=low

  [ Jan Beyer ]
  * Initial release (Closes: #470887)

  [ Charles Plessy ]
  * Upload for Jan, who did all the work. 

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2009 13:14:38 +0900
