## bibus 1.5.2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	install -d $(datadir)/bibus
 	install -m644 *.py MySQL_Bibus.ini $(datadir)/bibus/
 	#
-	for dir in Export Format Import StyleEditor FirstStart bibOOo db_models Pixmaps Data; do \
+	for dir in Export Format Import StyleEditor FirstStart bibOOo db_models Pixmaps Data LyX Utilities; do \
 		find $$dir ! -wholename '*CVS*' -a -type f -exec install -m644 '{}' -D $(datadir)/bibus/'{}' ';' ; \
 	done
 	install -m644 Setup/UnoConnectionListener.odg -D $(datadir)/bibus/Setup/UnoConnectionListener.odg
