=== debian/changelog ===
bibus (1.5.2-5) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: short debhelper
  * Remove menu file
  * Fix some DEP5 issues
  * Avoid privacy breach by sourceforge logo
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Wed, 24 Jan 2018 11:19:50 +0100

bibus (1.5.2-4) unstable; urgency=medium

  * Add a patch for compatibility with python-wxgtk3.0 (Closes: #758943)
    - Reworked patching bibOOo/bibOOoBase.py as separate patch
  * Standards-Version 3.9.5 (no changes needed)

 -- Jan Beyer <jan@beathovn.de>  Tue, 02 Sep 2014 21:54:07 +0200

bibus (1.5.2-3) unstable; urgency=low

  * bibOOo/bibOOoBase.py
    - install patched upstream version to support LibreOffice 4.1.1
  * Standards-Version 3.9.4
    - updated debian/copyright format

 -- Jan Beyer <jan@beathovn.de>  Sun, 08 Sep 2013 21:10:33 +0200

bibus (1.5.2-2) unstable; urgency=low

  * Add a patch from upstream to enable finalizing with LibreOffice 4

 -- Jan Beyer <jan@beathovn.de>  Sat, 25 May 2013 20:37:05 +0200

bibus (1.5.2-1) unstable; urgency=low

  * New upstream release
    - does not raise Python string exceptions any longer (Closes: #585214)
  * Removed do-not-import-SearcheTBlast-py.patch, as functionality seems
    fixed upstream

 -- Jan Beyer <jan@beathovn.de>  Sun, 12 Feb 2012 17:33:09 +0100
