=== debian/control ===
Source: bibus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jan Beyer <jan@beathovn.de>,
           Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: python
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/bibus.git
Vcs-Git: https://salsa.debian.org/science-team/bibus.git
Homepage: http://bibus-biblio.sourceforge.net/
X-Python-Version: >= 2.5

Package: bibus
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-wxgtk3.0
Recommends: libreoffice-writer | openoffice.org-writer,
            python-uno
Suggests: python-mysqldb,
          unixodbc,
          odbcinst1 | odbcinst1debian2,
          libmyodbc | libsqliteodbc,
          bibus-doc-en
Description: bibliographic database
 Bibus is a bibliographic database which has been developed with LibreOffice/
 OpenOffice.org in mind. It can directly insert citations and format the
 bibliographic index in an open OpenOffice.org Writer document. The main
 features are
  * hierarchical organization of the references with user-defined keys
  * designed for multiuser-environments (share databases between users)
  * a search engine supporting live queries
  * on-line PubMed access
  * import of PubMed (Medline), EndNote/Refer, RIS and BibTeX records.
 .
 Bibus will use an SQLite-database by default for storage (via the SQLite3
 module available in Python >2.5). But it also supports MySQL-databases.
 If you want to use a MySQL-database, make sure, that you have the
 python-mysqldb package installed.

Package: bibus-doc-en
Architecture: all
Section: doc
Depends: w3m | www-browser,
         ${misc:Depends}
Suggests: bibus
Description: Bibus bibliographic database documentation
 Bibus is a bibliographic database which has been developed with LibreOffice/
 OpenOffice.org in mind and can directly insert citations and format the
 bibliographic index in an open LibreOffice/OpenOffice.org Writer document.
 .
 This package contains the Bibus documentation.
