=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

BIBUSDESTDIR = $(CURDIR)/debian/bibus
BIBUSDOCDESTDIR = $(CURDIR)/debian/bibus-doc-en

%:
	dh $@ --with python2

override_clean: 
	find . -name '*.py[co]' -exec rm {} \;
	dh_clean

override_dh_auto_build:
	echo "Do nothing"

override_dh_auto_install:
	$(MAKE) -f Setup/Makefile install-files DESTDIR=$(BIBUSDESTDIR)/usr sysconfdir=$(BIBUSDESTDIR)/etc
	
	chmod 755 $(BIBUSDESTDIR)/usr/share/bibus/bibus.py
	rm -f $(BIBUSDESTDIR)/usr/share/bibus/bibusStart.py
	rm -f $(BIBUSDESTDIR)/usr/share/doc/bibus/*
	rm -f $(BIBUSDESTDIR)/usr/share/man/man1/bibus.1
	
	$(MAKE) -f Setup/Makefile install-doc-en DESTDIR=$(BIBUSDOCDESTDIR)/usr

override_dh_installchangelogs:
	dh_installchangelogs -i Docs/CHANGELOG
