## bibus 1.5.2%2Bdfsg

=== debian/changelog ===
bibus (1.5.2+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.

  [ Andreas Tille ]
  * Remove Jan Beyer <jan@beathovn.de> from Uploaders
    (Jan, thanks for your work on this package)
    Closes: #871604
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules
  * Drop binary from source

 -- Andreas Tille <tille@debian.org>  Sun, 06 Jan 2019 22:22:03 +0100
