## bibus 1.5.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: bibus
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jan Beyer <jan@beathovn.de>,
-           Charles Plessy <plessy@debian.org>
+Uploaders: Charles Plessy <plessy@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep: python
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/science-team/bibus.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/bibus
 Vcs-Git: https://salsa.debian.org/science-team/bibus.git
 Homepage: http://bibus-biblio.sourceforge.net/
-X-Python-Version: >= 2.5
 
 Package: bibus
 Architecture: all
