=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 %:
 	dh $@ --with python2
 
-override_clean: 
+override_clean:
 	find . -name '*.py[co]' -exec rm {} \;
 	dh_clean
 
@@ -18,12 +18,12 @@
 
 override_dh_auto_install:
 	$(MAKE) -f Setup/Makefile install-files DESTDIR=$(BIBUSDESTDIR)/usr sysconfdir=$(BIBUSDESTDIR)/etc
-	
+
 	chmod 755 $(BIBUSDESTDIR)/usr/share/bibus/bibus.py
 	rm -f $(BIBUSDESTDIR)/usr/share/bibus/bibusStart.py
 	rm -f $(BIBUSDESTDIR)/usr/share/doc/bibus/*
 	rm -f $(BIBUSDESTDIR)/usr/share/man/man1/bibus.1
-	
+
 	$(MAKE) -f Setup/Makefile install-doc-en DESTDIR=$(BIBUSDOCDESTDIR)/usr
 
 override_dh_installchangelogs:
