=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  http://sf.net/bibus-biblio/bibus_(.+)\.orig\.tar\.gz
